### Constructor

# Gtk.CallbackAction.new

#### Declaration [src]

    GtkShortcutAction*
    gtk_callback_action_new (
      GtkShortcutFunc callback,
      gpointer data,
      GDestroyNotify destroy
    )

#### Description [src]

Create a custom action that calls the given `callback` when activated.

#### Parameters

`callback` | `GtkShortcutFunc`
| the callback to call
`data` | `gpointer`
| the data to be passed to `callback`
`destroy` | `GDestroyNotify`
| the function to be called when the callback action is finalized

#### Return value

Returns: `GtkCallbackAction`
A new shortcut action
Ownership of the data is transferred to the caller